@echo off

:: Controllo della versione di Node.js
for /f "tokens=*" %%v in ('node -v 2^>nul') do set "node_version=%%v"
if not defined node_version (
    echo Node.js non e' installato.
    exit /b 1
    endlocal
)

if not "%node_version%"=="v10.24.1" (
    echo Versione di Node.js non compatibile. Richiesta: v10.24.1, trovata: %node_version%
    exit /b 1
    endlocal
)

:: Check if git is installed
where git >nul 2>nul
if %errorlevel% neq 0 (
    echo Git could not be found. Please install Git.
    pause
    exit /b 1
    endlocal
)

endlocal