@echo off

setlocal enableDelayedExpansion

:: Funzione per settare il corretto .npmrc
if "%~1" neq "" (
    set "USERPROFILE=%~1"
)

set "npmrc_path=!USERPROFILE!\.npmrc"

if exist "!npmrc_path!" (
    echo Il file .npmrc esiste.

    :: Controlla se contiene la stringa "arti0-artifactory.sede.corp.sanpaoloimi.com"
    findstr /C:"arti0-artifactory.sede.corp.sanpaoloimi.com" "!npmrc_path!" >nul
    if errorlevel 1 (
        echo La stringa "arti0-artifactory.sede.corp.sanpaoloimi.com" non e' presente.
        :: Rinomina il file esistente
        ren "!npmrc_path!" ".npmrc_old"
        echo Creazione di un nuovo file .npmrc con informazioni predefinite.
        (
            echo registry=https://arti0-artifactory.sede.corp.sanpaoloimi.com/artifactory/api/npm/npm-repos
            echo strict-ssl=false
            echo insecure=true
            echo rejectUnauthorized=false
            echo always-auth=true
            echo email=cm.dipartimentale@intesasanpaolo.com
            echo //arti0-artifactory.sede.corp.sanpaoloimi.com/artifactory/api/npm/:_auth="bnBtLXNuYXBzaG90LWRlcGxveWVyOkFQOTQ0SGd4YlR2ZFZkY1RmenVySkpFZ1c0ag=="
        ) > "!npmrc_path!"
    ) else (
        echo La stringa "arti0-artifactory.sede.corp.sanpaoloimi.com" e' presente.
    )
) else (
    echo Il file .npmrc non esiste. Creazione del file con informazioni predefinite.
    (
        echo registry=https://arti0-artifactory.sede.corp.sanpaoloimi.com/artifactory/api/npm/npm-repos
        echo strict-ssl=false
        echo insecure=true
        echo rejectUnauthorized=false
        echo always-auth=true
        echo email=cm.dipartimentale@intesasanpaolo.com
        echo //arti0-artifactory.sede.corp.sanpaoloimi.com/artifactory/api/npm/:_auth="bnBtLXNuYXBzaG90LWRlcGxveWVyOkFQOTQ0SGd4YlR2ZFZkY1RmenVySkpFZ1c0ag=="
    ) > "!npmrc_path!"
)

exit /b
endlocal