@echo off
setlocal enabledelayedexpansion

set "module_name=%~1"
set MVN_INSTALL_CMD=mvn -V clean install -U dependency:resolve -DskipTests -Dversion=1.0.0-DEV
set TIMES=1
call :install_module

:install_module
call echo Installo %module_name%... && cd %module_name% && echo call %MVN_INSTALL_CMD% && call %MVN_INSTALL_CMD%

if !errorlevel! neq 0 (
    if !TIMES! geq 3 (
        echo Installazione fallita, controlla i log.
        endlocal
        pause
        exit /b
    )
    set /a TIMES+=1
    echo Tentativo !TIMES! fallito, riprovo.
    cd ..
    call :install_module
    exit /b
)
:: Se qui ci arrivi, l'installazione è andata bene: chiudi il terminale
exit

endlocal