@echo off

setlocal enableDelayedExpansion

:: Install dependencies if either node_modules or package-lock.json does not exist

set "current_dir=%~1"

set "folder_name=%~2"
if "%~2" neq "" (
    set "folder_name=%~2\"
)

set "is_test=false"
if "%~3" neq "" (
    set "is_test=%~3"
)

if "!is_test!" == "false" (
    if not exist "%current_dir%!folder_name!node_modules" (
        cd "%current_dir%!folder_name!"
        npm install
        cd "%current_dir%"
    )
    if not exist "%current_dir%!folder_name!package-lock.json" (
        cd "%current_dir%!folder_name!"
        npm install
        cd "%current_dir%"
    )
)
exit /b