@echo off

setlocal enableDelayedExpansion

:: Funzione che setta il sass_binary_file

set "current_dir=%~1"

if "%~2" neq "" (
    set "USERPROFILE=%~2"
)

set "npmrc_path=!USERPROFILE!\.npmrc"

:: Controlla se contiene la stringa "sass_binary_path"
findstr /C:"sass_binary_path" "!npmrc_path!" >nul
if errorlevel 1 (
    echo La stringa "sass_binary_path" non e' presente. Aggiungo il path al "binding.node".
    echo sass_binary_path=%current_dir%node_modules\node-sass\vendor\win32-x64-64\binding.node >> "!npmrc_path!"

    for /d %%d in ("%current_dir%*") do (
        if exist "%%d\node_modules\node-sass" (
            echo Trovata cartella node-sass in "%%d". Cancello...
            rmdir /s /q "%%d\node_modules\node-sass"
            rmdir /s /q "%%d\node_modules\node-sass-tilde-importer"
            echo Eseguo npm install in "%%d"...
            pushd "%%d"
            npm install
            popd
        )
    )
) else (
    echo La stringa "sass_binary_path" e' presente.
)

endlocal
exit /b
