@echo off

REM Controlla se vfox è installato
where vfox >nul 2>&1
if errorlevel 1 (
    echo ERRORE: vfox non trovato nel PATH. Installa vfox prima di eseguire questo script.
    exit /b 1
)

REM Imposta le variabili di ambiente per Maven e altri tool
set "M2_HOME=%USERPROFILE%\.version-fox\cache\maven\current"
setx M2_HOME "%M2_HOME%"
setx M2 "%M2_HOME%\bin"
setx SYMLINK_HOME "%USERPROFILE%\_smlink_home\dist"
setx HTM_ENVIRONMENT "COLL"

echo Variabili di ambiente permanenti impostate (riavvia la sessione per applicarle):
echo M2_HOME=%USERPROFILE%\.version-fox\cache\maven\current
echo M2=%M2_HOME%\bin
echo SYMLINK_HOME=%USERPROFILE%\_smlink_home\dist
echo HTM_ENVIRONMENT=COLL